{% load don_extras %}
<li class="card card--padding-md card--horizontal mb-4">
    <div class="card__body">
        <div class="card__left">
            <a href="{% url 'web:api_detail' api_id=api.api_id %}" class="card__link">
                <h4 class="card__title">{{ api.service_name }}</h4>
            </a>
            <a href="{{ api.organization.get_absolute_url }}" class="card__sub-title">{{ api.organization.name }}</a>
            {% if api.description %}
            <p class="card__description mb-0">{{ api.description | truncatewords:42 }}</p>
            {% endif %}
            {% if api.topics.all %}
            <ul class="topic-list topic-list--multiple-lines mt-3">
                {% for name in api.topics.all %}
                <li>
                    <a href="{{ request.path_info }}?thema={{ name }}" class="topic-pill pill--clickable">{{ name }}</a>
                </li>
                {% endfor %}
            </ul>
            {% endif %}
        </div>
        <div class="card__right">
            <div class="pill pill--white pill--sm">
                {{ api.get_api_type_display }}
            </div>
            {% if api.latest_validator_reports.count %}
            <div class="card__right__grades mt-4 ml-3">
                {% for validator_report in api.latest_validator_reports %}
                {% score_pie validator_report.report is_large=False %}
                {% endfor %}
            </div>
            {% endif %}
        </div>
    </div>
</li>
